Export Account Mappings For Engagement - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

POST

/v1

/account-mappings

/export

Export Account Mappings For Engagement

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/account-mappings/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "engagementId": "<string>"\n}\n'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/account-mappings/export"

payload = { "engagementId": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({engagementId: '<string>'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/account-mappings/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/account-mappings/export",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'engagementId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/account-mappings/export"

payload := strings.NewReader("{\n  \"engagementId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/account-mappings/export")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"engagementId\": \"<string>\"\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/account-mappings/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"engagementId\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body

Response Example

200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

engagementId

string

required

Response

200 - application/json

OK

id

string

The unique object identifier.

version

integer

Indicates the data integrity version to ensure data consistency.

creationDate

string

The date that the object was originally created.

lastModifiedDate

string

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

entityId

string

Identifies the entity used in the job.

entityType

enum

Identifies the entity type used in the job.